#pragma once
#include <sstream>
#include <string>

class Call : public ICall
{
private:
	int32_t m_id;
public:
	virtual int32_t getID()							{ return m_id; }
	virtual void setID(int32_t id)					{ m_id = id; }
	virtual int32_t getConferenceID()				{ return 0; }
	virtual void setConferenceID(int32_t id)		{ /*no op*/ }
	virtual bool getInConference()					{ return false; }
    virtual void setInConference(bool bConference)	{ /*no op*/ }

	void operator delete(void *p) { ::operator delete(p); }

	~Call() { }
};

 ICall* GetCall(Call& call)
 {
	std::string strCallId;
	std::cout << "Enter Call Id: ";
	std::getline(std::cin, strCallId);

	int32_t id;
	std::stringstream myStream(strCallId);
	myStream >> id;
	call.setID( id );
	return &call;
 }

 IContact* GetContact()
 {
	std::string strContactName;
	std::cout << "Enter contact name: ";
	std::getline(std::cin, strContactName);

	wstring wName( strContactName.begin(), strContactName.end() );
	std::cout << "Name:" << strContactName << std::endl;
	IContact* contact = nullptr;
//	getContact( &contact );
//	contact->setName( wName.c_str() );
	return contact;
 }
 eAudioRoute GetAudioRoute()
 {
	std::string audioRoute;
	std::cout << "Get audio route (0-hs/1-sp):";
	std::getline(std::cin, audioRoute);

	int32_t route = AUDIO_ROUTE_TO_HEADSET;
	std::stringstream myStream(audioRoute);
	myStream >> route;
	return (eAudioRoute)route;
 }