#include "StdAfx.h"
#include "EnumToString.h"
void PrintReturn( VARIANT_BOOL val )		{ std::cout << "Returned: " << ((val==VARIANT_TRUE) ? "TRUE " : "FALSE "); } ; 
void PrintReturn( LONG val )				{ std::cout << "Returned: " << (int) val << " "; }
std::string EnumToString(CallRingTone val)
{
	std::string ret;
	switch( val )
	{
		case RingTone_Unknown: ret = "RingTone_Unknown";break;
	}
	return ret;
}
void PrintReturn(CallRingTone val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(CallAudioRoute val)
{
	std::string ret;
	switch( val )
	{
		case AudioRoute_ToHeadset: ret = "AudioRoute_ToHeadset";break;
		case AudioRoute_ToSpeaker: ret = "AudioRoute_ToSpeaker";break;
	}
	return ret;
}
void PrintReturn(CallAudioRoute val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceAudioState val)
{
	std::string ret;
	switch( val )
	{
		case AudioState_Unknown: ret = "AudioState_Unknown";break;
		case AudioState_MonoOn: ret = "AudioState_MonoOn";break;
		case AudioState_MonoOff: ret = "AudioState_MonoOff";break;
		case AudioState_StereoOn: ret = "AudioState_StereoOn";break;
		case AudioState_StereoOff: ret = "AudioState_StereoOff";break;
		case AudioState_MonoOnWait: ret = "AudioState_MonoOnWait";break;
		case AudioState_StereoOnWait: ret = "AudioState_StereoOnWait";break;
	}
	return ret;
}
void PrintReturn(DeviceAudioState val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(FirmwareVersionType val)
{
	std::string ret;
	switch( val )
	{
		case VersionType_USBFirmware: ret = "VersionType_USBFirmware";break;
		case VersionType_BaseFirmware: ret = "VersionType_BaseFirmware";break;
		case VersionType_RemoteFirmware: ret = "VersionType_RemoteFirmware";break;
		case VersionType_BluetoothFirmware: ret = "VersionType_BluetoothFirmware";break;
	}
	return ret;
}
void PrintReturn(FirmwareVersionType val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceRegistrationType val)
{
	std::string ret;
	switch( val )
	{
		case RegistrationType_SignIn: ret = "RegistrationType_SignIn";break;
		case RegistrationType_SignOut: ret = "RegistrationType_SignOut";break;
		case RegistrationType_Exclusive: ret = "RegistrationType_Exclusive";break;
		case RegistrationType_CallManager: ret = "RegistrationType_CallManager";break;
		case RegistrationType_Attach: ret = "RegistrationType_Attach";break;
		case RegistrationType_Detach: ret = "RegistrationType_Detach";break;
		case RegistrationType_DetachSignOut: ret = "RegistrationType_DetachSignOut";break;
	}
	return ret;
}
void PrintReturn(DeviceRegistrationType val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceMuteState val)
{
	std::string ret;
	switch( val )
	{
		case MuteState_None: ret = "MuteState_None";break;
		case MuteState_HeadsetToPC: ret = "MuteState_HeadsetToPC";break;
		case MuteState_PCToHeadset: ret = "MuteState_PCToHeadset";break;
		case MuteState_HeadsetToPSTN: ret = "MuteState_HeadsetToPSTN";break;
		case MuteState_PSTNToHeadset: ret = "MuteState_PSTNToHeadset";break;
		case MuteState_PCToPSTN: ret = "MuteState_PCToPSTN";break;
		case MuteState_PSTNToPC: ret = "MuteState_PSTNToPC";break;
		case MuteState_All: ret = "MuteState_All";break;
	}
	return ret;
}
void PrintReturn(DeviceMuteState val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(COMLineType val)
{
	std::string ret;
	switch( val )
	{
		case LineType_PSTN: ret = "LineType_PSTN";break;
		case LineType_VOIP: ret = "LineType_VOIP";break;
		case LineType_Mobile: ret = "LineType_Mobile";break;
	}
	return ret;
}
void PrintReturn(COMLineType val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceAudioLinkState val)
{
	std::string ret;
	switch( val )
	{
		case AudioLinkState_Idle: ret = "AudioLinkState_Idle";break;
		case AudioLinkState_Pending: ret = "AudioLinkState_Pending";break;
		case AudioLinkState_Established: ret = "AudioLinkState_Established";break;
		case AudioLinkState_Failed: ret = "AudioLinkState_Failed";break;
		case AudioLinkState_ReleasePending: ret = "AudioLinkState_ReleasePending";break;
		case AudioLinkState_Lost: ret = "AudioLinkState_Lost";break;
	}
	return ret;
}
void PrintReturn(DeviceAudioLinkState val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceAudioLocation val)
{
	std::string ret;
	switch( val )
	{
		case AudioLocation_Headset: ret = "AudioLocation_Headset";break;
		case AudioLocation_Handset: ret = "AudioLocation_Handset";break;
	}
	return ret;
}
void PrintReturn(DeviceAudioLocation val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceChangeState val)
{
	std::string ret;
	switch( val )
	{
		case DeviceState_Unknown: ret = "DeviceState_Unknown";break;
		case DeviceState_Added: ret = "DeviceState_Added";break;
		case DeviceState_Removed: ret = "DeviceState_Removed";break;
	}
	return ret;
}
void PrintReturn(DeviceChangeState val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(CallState val)
{
	std::string ret;
	switch( val )
	{
		case CallState_Unknown: ret = "CallState_Unknown";break;
		case CallState_AcceptCall: ret = "CallState_AcceptCall";break;
		case CallState_TerminateCall: ret = "CallState_TerminateCall";break;
		case CallState_HoldCall: ret = "CallState_HoldCall";break;
		case CallState_Resumecall: ret = "CallState_Resumecall";break;
		case CallState_Flash: ret = "CallState_Flash";break;
		case CallState_CallInProgress: ret = "CallState_CallInProgress";break;
		case CallState_CallRinging: ret = "CallState_CallRinging";break;
		case CallState_CallEnded: ret = "CallState_CallEnded";break;
		case CallState_TransferToHeadSet: ret = "CallState_TransferToHeadSet";break;
		case CallState_TransferToSpeaker: ret = "CallState_TransferToSpeaker";break;
		case CallState_MuteON: ret = "CallState_MuteON";break;
		case CallState_MuteOFF: ret = "CallState_MuteOFF";break;
		case CallState_MobileCallRinging: ret = "CallState_MobileCallRinging";break;
		case CallState_MobileCallInProgress: ret = "CallState_MobileCallInProgress";break;
		case CallState_MobileCallEnded: ret = "CallState_MobileCallEnded";break;
		case CallState_Don: ret = "CallState_Don";break;
		case CallState_Doff: ret = "CallState_Doff";break;
		case CallState_CallIdle: ret = "CallState_CallIdle";break;
		case CallState_Play: ret = "CallState_Play";break;
		case CallState_Pause: ret = "CallState_Pause";break;
		case CallState_Stop: ret = "CallState_Stop";break;
		case CallState_DTMFKey: ret = "CallState_DTMFKey";break;
		case CallState_RejectCall: ret = "CallState_RejectCall";break;
	}
	return ret;
}
void PrintReturn(CallState val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceEventKind val)
{
	std::string ret;
	switch( val )
	{
		case DeviceEventKind_Docked: ret = "DeviceEventKind_Docked";break;
		case DeviceEventKind_UnDocked: ret = "DeviceEventKind_UnDocked";break;
		case DeviceEventKind_TalkPress: ret = "DeviceEventKind_TalkPress";break;
		case DeviceEventKind_Unknown: ret = "DeviceEventKind_Unknown";break;
	}
	return ret;
}
void PrintReturn(DeviceEventKind val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceHeadsetButton val)
{
	std::string ret;
	switch( val )
	{
		case HeadsetButton_Unknown: ret = "HeadsetButton_Unknown";break;
		case HeadsetButton_VolumeUp: ret = "HeadsetButton_VolumeUp";break;
		case HeadsetButton_VolumeDown: ret = "HeadsetButton_VolumeDown";break;
		case HeadsetButton_VolumeUpHeld: ret = "HeadsetButton_VolumeUpHeld";break;
		case HeadsetButton_VolumeDownHeld: ret = "HeadsetButton_VolumeDownHeld";break;
		case HeadsetButton_Mute: ret = "HeadsetButton_Mute";break;
		case HeadsetButton_MuteHeld: ret = "HeadsetButton_MuteHeld";break;
		case HeadsetButton_Talk: ret = "HeadsetButton_Talk";break;
		case HeadsetButton_Audio: ret = "HeadsetButton_Audio";break;
		case HeadsetButton_Play: ret = "HeadsetButton_Play";break;
		case HeadsetButton_Pause: ret = "HeadsetButton_Pause";break;
		case HeadsetButton_Next: ret = "HeadsetButton_Next";break;
		case HeadsetButton_Previous: ret = "HeadsetButton_Previous";break;
		case HeadsetButton_FastForward: ret = "HeadsetButton_FastForward";break;
		case HeadsetButton_Rewind: ret = "HeadsetButton_Rewind";break;
		case HeadsetButton_Stop: ret = "HeadsetButton_Stop";break;
		case HeadsetButton_Flash: ret = "HeadsetButton_Flash";break;
		case HeadsetButton_Smart: ret = "HeadsetButton_Smart";break;
		case HeadsetButton_OffHook: ret = "HeadsetButton_OffHook";break;
		case HeadsetButton_OnHook: ret = "HeadsetButton_OnHook";break;
		case HeadsetButton_Key0: ret = "HeadsetButton_Key0";break;
		case HeadsetButton_Key1: ret = "HeadsetButton_Key1";break;
		case HeadsetButton_Key2: ret = "HeadsetButton_Key2";break;
		case HeadsetButton_Key3: ret = "HeadsetButton_Key3";break;
		case HeadsetButton_Key4: ret = "HeadsetButton_Key4";break;
		case HeadsetButton_Key5: ret = "HeadsetButton_Key5";break;
		case HeadsetButton_Key6: ret = "HeadsetButton_Key6";break;
		case HeadsetButton_Key7: ret = "HeadsetButton_Key7";break;
		case HeadsetButton_Key8: ret = "HeadsetButton_Key8";break;
		case HeadsetButton_Key9: ret = "HeadsetButton_Key9";break;
		case HeadsetButton_KeyStar: ret = "HeadsetButton_KeyStar";break;
		case HeadsetButton_KeyPound: ret = "HeadsetButton_KeyPound";break;
		case HeadsetButton_Speaker: ret = "HeadsetButton_Speaker";break;
		case HeadsetButton_Reject: ret = "HeadsetButton_Reject";break;
	}
	return ret;
}
void PrintReturn(DeviceHeadsetButton val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceBatteryLevel val)
{
	std::string ret;
	switch( val )
	{
		case BatteryLevel_Empty: ret = "BatteryLevel_Empty";break;
		case BatteryLevel_Low: ret = "BatteryLevel_Low";break;
		case BatteryLevel_Medium: ret = "BatteryLevel_Medium";break;
		case BatteryLevel_High: ret = "BatteryLevel_High";break;
		case BatteryLevel_Full: ret = "BatteryLevel_Full";break;
	}
	return ret;
}
void PrintReturn(DeviceBatteryLevel val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceHeadsetState val)
{
	std::string ret;
	switch( val )
	{
		case HeadsetState_Unknown: ret = "HeadsetState_Unknown";break;
		case HeadsetState_InRange: ret = "HeadsetState_InRange";break;
		case HeadsetState_OutofRange: ret = "HeadsetState_OutofRange";break;
		case HeadsetState_Docked: ret = "HeadsetState_Docked";break;
		case HeadsetState_UnDocked: ret = "HeadsetState_UnDocked";break;
		case HeadsetState_InConference: ret = "HeadsetState_InConference";break;
		case HeadsetState_Don: ret = "HeadsetState_Don";break;
		case HeadsetState_Doff: ret = "HeadsetState_Doff";break;
		case HeadsetState_BTRFPowerMode: ret = "HeadsetState_BTRFPowerMode";break;
		case HeadsetState_DockedCharging: ret = "HeadsetState_DockedCharging";break;
		case HeadsetState_ProductName: ret = "HeadsetState_ProductName";break;
		case HeadsetState_BatteryInfo: ret = "HeadsetState_BatteryInfo";break;
		case HeadsetState_SerialNumber: ret = "HeadsetState_SerialNumber";break;
		case HeadsetState_Proximity: ret = "HeadsetState_Proximity";break;
	}
	return ret;
}
void PrintReturn(DeviceHeadsetState val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceProximity val)
{
	std::string ret;
	switch( val )
	{
		case Proximity_ProximityUnknown: ret = "Proximity_ProximityUnknown";break;
		case Proximity_Near: ret = "Proximity_Near";break;
		case Proximity_Far: ret = "Proximity_Far";break;
		case Proximity_ProximityDisabled: ret = "Proximity_ProximityDisabled";break;
		case Proximity_ProximityEnabled: ret = "Proximity_ProximityEnabled";break;
	}
	return ret;
}
void PrintReturn(DeviceProximity val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceBatteryStatus val)
{
	std::string ret;
	switch( val )
	{
		case BTBatteryStatus_Unknown: ret = "BTBatteryStatus_Unknown";break;
		case BTBatteryStatus_Critical: ret = "BTBatteryStatus_Critical";break;
		case BTBatteryStatus_Low: ret = "BTBatteryStatus_Low";break;
		case BTBatteryStatus_Medium: ret = "BTBatteryStatus_Medium";break;
		case BTBatteryStatus_High: ret = "BTBatteryStatus_High";break;
		case BTBatteryStatus_Full: ret = "BTBatteryStatus_Full";break;
		case BTBatteryStatus_NotBatteryPowered: ret = "BTBatteryStatus_NotBatteryPowered";break;
	}
	return ret;
}
void PrintReturn(DeviceBatteryStatus val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceChargingStatus val)
{
	std::string ret;
	switch( val )
	{
		case BTChargingStatus_Unknown: ret = "BTChargingStatus_Unknown";break;
		case BTChargingStatus_NotConnected: ret = "BTChargingStatus_NotConnected";break;
		case BTChargingStatus_ConnectedNotCharging: ret = "BTChargingStatus_ConnectedNotCharging";break;
		case BTChargingStatus_ConnectedAndTrickleCharging: ret = "BTChargingStatus_ConnectedAndTrickleCharging";break;
		case BTChargingStatus_ConnectedAndFastCharging: ret = "BTChargingStatus_ConnectedAndFastCharging";break;
		case BTChargingStatus_ConnectedAndChargeError: ret = "BTChargingStatus_ConnectedAndChargeError";break;
		case BTChargingStatus_NotBatteryPowered: ret = "BTChargingStatus_NotBatteryPowered";break;
	}
	return ret;
}
void PrintReturn(DeviceChargingStatus val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceMobileCallState val)
{
	std::string ret;
	switch( val )
	{
		case MobileCallState_Idle: ret = "MobileCallState_Idle";break;
		case MobileCallState_InComing: ret = "MobileCallState_InComing";break;
		case MobileCallState_OutGoing: ret = "MobileCallState_OutGoing";break;
		case MobileCallState_OnCall: ret = "MobileCallState_OnCall";break;
		case MobileCallState_CallerID: ret = "MobileCallState_CallerID";break;
	}
	return ret;
}
void PrintReturn(DeviceMobileCallState val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(BaseEventTypeExt val)
{
	std::string ret;
	switch( val )
	{
		case BaseEventTypeExt_Unknown: ret = "BaseEventTypeExt_Unknown";break;
		case BaseEventTypeExt_FeatureMask: ret = "BaseEventTypeExt_FeatureMask";break;
		case BaseEventTypeExt_Password: ret = "BaseEventTypeExt_Password";break;
		case BaseEventTypeExt_RFPowerMode: ret = "BaseEventTypeExt_RFPowerMode";break;
		case BaseEventTypeExt_RFLinkType: ret = "BaseEventTypeExt_RFLinkType";break;
		case BaseEventTypeExt_VoipTalk: ret = "BaseEventTypeExt_VoipTalk";break;
		case BaseEventTypeExt_PstnTalk: ret = "BaseEventTypeExt_PstnTalk";break;
		case BaseEventTypeExt_MobileTalk: ret = "BaseEventTypeExt_MobileTalk";break;
		case BaseEventTypeExt_VoipTalkHeld: ret = "BaseEventTypeExt_VoipTalkHeld";break;
		case BaseEventTypeExt_PstnTalkHeld: ret = "BaseEventTypeExt_PstnTalkHeld";break;
		case BaseEventTypeExt_MobileTalkHeld: ret = "BaseEventTypeExt_MobileTalkHeld";break;
		case BaseEventTypeExt_PstnLinkEstablished: ret = "BaseEventTypeExt_PstnLinkEstablished";break;
		case BaseEventTypeExt_PstnLinkDown: ret = "BaseEventTypeExt_PstnLinkDown";break;
		case BaseEventTypeExt_VoipLinkEstablished: ret = "BaseEventTypeExt_VoipLinkEstablished";break;
		case BaseEventTypeExt_VoipLinkDown: ret = "BaseEventTypeExt_VoipLinkDown";break;
		case BaseEventTypeExt_MobileLinkEstablished: ret = "BaseEventTypeExt_MobileLinkEstablished";break;
		case BaseEventTypeExt_MobileLinkDown: ret = "BaseEventTypeExt_MobileLinkDown";break;
		case BaseEventTypeExt_PstnInComingCallRingOn: ret = "BaseEventTypeExt_PstnInComingCallRingOn";break;
		case BaseEventTypeExt_PstnInComingCallRingOff: ret = "BaseEventTypeExt_PstnInComingCallRingOff";break;
		case BaseEventTypeExt_InterfaceStateChange: ret = "BaseEventTypeExt_InterfaceStateChange";break;
		case BaseEventTypeExt_PstnTalkAndVoipTalkHeld: ret = "BaseEventTypeExt_PstnTalkAndVoipTalkHeld";break;
		case BaseEventTypeExt_PstnTalkAndMobileTalkHeld: ret = "BaseEventTypeExt_PstnTalkAndMobileTalkHeld";break;
		case BaseEventTypeExt_VoipTalkAndMobileTalkHeld: ret = "BaseEventTypeExt_VoipTalkAndMobileTalkHeld";break;
		case BaseEventTypeExt_PstnTalkAndSubscribeHeld: ret = "BaseEventTypeExt_PstnTalkAndSubscribeHeld";break;
		case BaseEventTypeExt_Subscribe: ret = "BaseEventTypeExt_Subscribe";break;
		case BaseEventTypeExt_SubscribeHeld: ret = "BaseEventTypeExt_SubscribeHeld";break;
		case BaseEventTypeExt_DialPad: ret = "BaseEventTypeExt_DialPad";break;
		case BaseEventTypeExt_BTAudioLocation: ret = "BaseEventTypeExt_BTAudioLocation";break;
		case BaseEventTypeExt_VoipTalkAndSubscribeHeld: ret = "BaseEventTypeExt_VoipTalkAndSubscribeHeld";break;
		case BaseEventTypeExt_MobileTalkAndSubscribeHeld: ret = "BaseEventTypeExt_MobileTalkAndSubscribeHeld";break;
		case BaseEventTypeExt_SerialNumber: ret = "BaseEventTypeExt_SerialNumber";break;
		case BaseEventTypeExt_DeskphoneHeadset: ret = "BaseEventTypeExt_DeskphoneHeadset";break;
	}
	return ret;
}
void PrintReturn(BaseEventTypeExt val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceFeatureLock val)
{
	std::string ret;
	switch( val )
	{
		case FeatureLock_None: ret = "FeatureLock_None";break;
		case FeatureLock_Intellistand: ret = "FeatureLock_Intellistand";break;
		case FeatureLock_DefaultLine: ret = "FeatureLock_DefaultLine";break;
		case FeatureLock_OTA: ret = "FeatureLock_OTA";break;
		case FeatureLock_PowerLevel: ret = "FeatureLock_PowerLevel";break;
		case FeatureLock_PSTNBandwidth: ret = "FeatureLock_PSTNBandwidth";break;
		case FeatureLock_VOIPBandwidth: ret = "FeatureLock_VOIPBandwidth";break;
		case FeatureLock_PSTNRingType: ret = "FeatureLock_PSTNRingType";break;
		case FeatureLock_VOIPRingType: ret = "FeatureLock_VOIPRingType";break;
		case FeatureLock_PSTNRingTone: ret = "FeatureLock_PSTNRingTone";break;
		case FeatureLock_VOIPRingTone: ret = "FeatureLock_VOIPRingTone";break;
		case FeatureLock_SystemTone: ret = "FeatureLock_SystemTone";break;
		case FeatureLock_MuteTone: ret = "FeatureLock_MuteTone";break;
		case FeatureLock_PSTNToneControl: ret = "FeatureLock_PSTNToneControl";break;
		case FeatureLock_VOIPToneControl: ret = "FeatureLock_VOIPToneControl";break;
		case FeatureLock_RingInCall: ret = "FeatureLock_RingInCall";break;
		case FeatureLock_AlwaysOn: ret = "FeatureLock_AlwaysOn";break;
		case FeatureLock_AntiStartle: ret = "FeatureLock_AntiStartle";break;
		case FeatureLock_AudioLimit: ret = "FeatureLock_AudioLimit";break;
		case FeatureLock_G616: ret = "FeatureLock_G616";break;
		case FeatureLock_TWAPeriod: ret = "FeatureLock_TWAPeriod";break;
		case FeatureLock_MobileBandwidth: ret = "FeatureLock_MobileBandwidth";break;
		case FeatureLock_BTEnable: ret = "FeatureLock_BTEnable";break;
		case FeatureLock_BTAutoConnect: ret = "FeatureLock_BTAutoConnect";break;
		case FeatureLock_BTACLPolling: ret = "FeatureLock_BTACLPolling";break;
		case FeatureLock_BTVoiceCommand: ret = "FeatureLock_BTVoiceCommand";break;
		case FeatureLock_BTA2DP: ret = "FeatureLock_BTA2DP";break;
		case FeatureLock_All: ret = "FeatureLock_All";break;
	}
	return ret;
}
void PrintReturn(DeviceFeatureLock val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceHeadsetType val)
{
	std::string ret;
	switch( val )
	{
		case HeadsetType_Unknown: ret = "HeadsetType_Unknown";break;
		case HeadsetType_Theo428: ret = "HeadsetType_Theo428";break;
		case HeadsetType_Eros428: ret = "HeadsetType_Eros428";break;
		case HeadsetType_Helios480Monoaural: ret = "HeadsetType_Helios480Monoaural";break;
		case HeadsetType_Helios480Binaural: ret = "HeadsetType_Helios480Binaural";break;
		case HeadsetType_Theo480: ret = "HeadsetType_Theo480";break;
		case HeadsetType_Eros480: ret = "HeadsetType_Eros480";break;
		case HeadsetType_Unknown480: ret = "HeadsetType_Unknown480";break;
		case HeadsetType_Hermit480: ret = "HeadsetType_Hermit480";break;
		case HeadsetType_HermitLite: ret = "HeadsetType_HermitLite";break;
		case HeadsetType_Hermit4804MM: ret = "HeadsetType_Hermit4804MM";break;
		case HeadsetType_HermitLite4MM: ret = "HeadsetType_HermitLite4MM";break;
		case HeadsetType_Unknown428ROM: ret = "HeadsetType_Unknown428ROM";break;
		case HeadsetType_Theo428ROM: ret = "HeadsetType_Theo428ROM";break;
		case HeadsetType_Eros428ROM: ret = "HeadsetType_Eros428ROM";break;
		case HeadsetType_HeliosMonaural480ROM: ret = "HeadsetType_HeliosMonaural480ROM";break;
		case HeadsetType_HeliosBinaural480ROM: ret = "HeadsetType_HeliosBinaural480ROM";break;
		case HeadsetType_Theo480ROM: ret = "HeadsetType_Theo480ROM";break;
		case HeadsetType_Eros480ROM: ret = "HeadsetType_Eros480ROM";break;
		case HeadsetType_Unknown480ROM: ret = "HeadsetType_Unknown480ROM";break;
		case HeadsetType_Hermit480ROM: ret = "HeadsetType_Hermit480ROM";break;
		case HeadsetType_HermitLite480ROM: ret = "HeadsetType_HermitLite480ROM";break;
		case HeadsetType_Hermit4MM480ROM: ret = "HeadsetType_Hermit4MM480ROM";break;
		case HeadsetType_HermitLite4MM480ROM: ret = "HeadsetType_HermitLite4MM480ROM";break;
	}
	return ret;
}
void PrintReturn(DeviceHeadsetType val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(COMDeviceType val)
{
	std::string ret;
	switch( val )
	{
		case DeviceType_Base: ret = "DeviceType_Base";break;
		case DeviceType_Headset: ret = "DeviceType_Headset";break;
	}
	return ret;
}
void PrintReturn(COMDeviceType val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(COMRingTone val)
{
	std::string ret;
	switch( val )
	{
		case RingTone_Type1: ret = "RingTone_Type1";break;
		case RingTone_Type2: ret = "RingTone_Type2";break;
		case RingTone_Type3: ret = "RingTone_Type3";break;
	}
	return ret;
}
void PrintReturn(COMRingTone val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(COMAudioBandwidth val)
{
	std::string ret;
	switch( val )
	{
		case AudioBandwidth_Unknown: ret = "AudioBandwidth_Unknown";break;
		case AudioBandwidth_NarrowBand: ret = "AudioBandwidth_NarrowBand";break;
		case AudioBandwidth_WideBand: ret = "AudioBandwidth_WideBand";break;
	}
	return ret;
}
void PrintReturn(COMAudioBandwidth val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(COMVolumeLevel val)
{
	std::string ret;
	switch( val )
	{
		case VolumeLevel_Off: ret = "VolumeLevel_Off";break;
		case VolumeLevel_Low: ret = "VolumeLevel_Low";break;
		case VolumeLevel_Standard: ret = "VolumeLevel_Standard";break;
	}
	return ret;
}
void PrintReturn(COMVolumeLevel val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(COMToneLevel val)
{
	std::string ret;
	switch( val )
	{
		case ToneLevel_MaxBass: ret = "ToneLevel_MaxBass";break;
		case ToneLevel_MidBass: ret = "ToneLevel_MidBass";break;
		case ToneLevel_MinBass: ret = "ToneLevel_MinBass";break;
		case ToneLevel_NoBoost: ret = "ToneLevel_NoBoost";break;
		case ToneLevel_MinTreble: ret = "ToneLevel_MinTreble";break;
		case ToneLevel_MidTreble: ret = "ToneLevel_MidTreble";break;
		case ToneLevel_MaxTreble: ret = "ToneLevel_MaxTreble";break;
	}
	return ret;
}
void PrintReturn(COMToneLevel val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(COMActiveCallRing val)
{
	std::string ret;
	switch( val )
	{
		case ActiveCallRing_Ignore: ret = "ActiveCallRing_Ignore";break;
		case ActiveCallRing_RingOnce: ret = "ActiveCallRing_RingOnce";break;
		case ActiveCallRing_RingContinuous: ret = "ActiveCallRing_RingContinuous";break;
	}
	return ret;
}
void PrintReturn(COMActiveCallRing val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(COMAudioLimit val)
{
	std::string ret;
	switch( val )
	{
		case AudioLimit_Off: ret = "AudioLimit_Off";break;
		case AudioLimit_EightyFive: ret = "AudioLimit_EightyFive";break;
		case AudioLimit_Eighty: ret = "AudioLimit_Eighty";break;
	}
	return ret;
}
void PrintReturn(COMAudioLimit val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(COMPowerLevel val)
{
	std::string ret;
	switch( val )
	{
		case PowerLevel_FixedLow: ret = "PowerLevel_FixedLow";break;
		case PowerLevel_AdaptiveMedium: ret = "PowerLevel_AdaptiveMedium";break;
		case PowerLevel_AdaptiveHigh: ret = "PowerLevel_AdaptiveHigh";break;
	}
	return ret;
}
void PrintReturn(COMPowerLevel val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DSPTWAPeriod val)
{
	std::string ret;
	switch( val )
	{
		case TWAPeriod_Unknown: ret = "TWAPeriod_Unknown";break;
		case TWAPeriod_TwoHours: ret = "TWAPeriod_TwoHours";break;
		case TWAPeriod_FourHours: ret = "TWAPeriod_FourHours";break;
		case TWAPeriod_SixHours: ret = "TWAPeriod_SixHours";break;
		case TWAPeriod_EightHours: ret = "TWAPeriod_EightHours";break;
	}
	return ret;
}
void PrintReturn(DSPTWAPeriod val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceSensorControl val)
{
	std::string ret;
	switch( val )
	{
		case SensorControl_HeadsetNotConnected: ret = "SensorControl_HeadsetNotConnected";break;
		case SensorControl_Undefined: ret = "SensorControl_Undefined";break;
		case SensorControl_Disabled: ret = "SensorControl_Disabled";break;
		case SensorControl_Enabled: ret = "SensorControl_Enabled";break;
	}
	return ret;
}
void PrintReturn(DeviceSensorControl val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(COMDeviceEventType val)
{
	std::string ret;
	switch( val )
	{
		case DeviceEventType_Unknown: ret = "DeviceEventType_Unknown";break;
		case DeviceEventType_HeadsetButtonPressed: ret = "DeviceEventType_HeadsetButtonPressed";break;
		case DeviceEventType_HeadsetStateChanged: ret = "DeviceEventType_HeadsetStateChanged";break;
		case DeviceEventType_BaseButtonPressed: ret = "DeviceEventType_BaseButtonPressed";break;
		case DeviceEventType_BaseStateChanged: ret = "DeviceEventType_BaseStateChanged";break;
		case DeviceEventType_ATDButtonPressed: ret = "DeviceEventType_ATDButtonPressed";break;
		case DeviceEventType_ATDStateChanged: ret = "DeviceEventType_ATDStateChanged";break;
	}
	return ret;
}
void PrintReturn(COMDeviceEventType val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceHeadsetStateChange val)
{
	std::string ret;
	switch( val )
	{
		case HeadsetStateChange_Unknown: ret = "HeadsetStateChange_Unknown";break;
		case HeadsetStateChange_MonoON: ret = "HeadsetStateChange_MonoON";break;
		case HeadsetStateChange_MonoOFF: ret = "HeadsetStateChange_MonoOFF";break;
		case HeadsetStateChange_StereoON: ret = "HeadsetStateChange_StereoON";break;
		case HeadsetStateChange_StereoOFF: ret = "HeadsetStateChange_StereoOFF";break;
		case HeadsetStateChange_MuteON: ret = "HeadsetStateChange_MuteON";break;
		case HeadsetStateChange_MuteOFF: ret = "HeadsetStateChange_MuteOFF";break;
		case HeadsetStateChange_BatteryLevel: ret = "HeadsetStateChange_BatteryLevel";break;
		case HeadsetStateChange_InRange: ret = "HeadsetStateChange_InRange";break;
		case HeadsetStateChange_OutofRange: ret = "HeadsetStateChange_OutofRange";break;
		case HeadsetStateChange_Docked: ret = "HeadsetStateChange_Docked";break;
		case HeadsetStateChange_UnDocked: ret = "HeadsetStateChange_UnDocked";break;
		case HeadsetStateChange_InConference: ret = "HeadsetStateChange_InConference";break;
		case HeadsetStateChange_Don: ret = "HeadsetStateChange_Don";break;
		case HeadsetStateChange_Doff: ret = "HeadsetStateChange_Doff";break;
		case HeadsetStateChange_SerialNumber: ret = "HeadsetStateChange_SerialNumber";break;
		case HeadsetStateChange_Near: ret = "HeadsetStateChange_Near";break;
		case HeadsetStateChange_Far: ret = "HeadsetStateChange_Far";break;
		case HeadsetStateChange_DockedCharging: ret = "HeadsetStateChange_DockedCharging";break;
		case HeadsetStateChange_ProximityUnknown: ret = "HeadsetStateChange_ProximityUnknown";break;
		case HeadsetStateChange_ProximityEnabled: ret = "HeadsetStateChange_ProximityEnabled";break;
		case HeadsetStateChange_ProximityDisabled: ret = "HeadsetStateChange_ProximityDisabled";break;
	}
	return ret;
}
void PrintReturn(DeviceHeadsetStateChange val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceBaseButton val)
{
	std::string ret;
	switch( val )
	{
		case BaseButton_Unknown: ret = "BaseButton_Unknown";break;
		case BaseButton_PstnTalk: ret = "BaseButton_PstnTalk";break;
		case BaseButton_VoipTalk: ret = "BaseButton_VoipTalk";break;
		case BaseButton_Subscribe: ret = "BaseButton_Subscribe";break;
		case BaseButton_PstnTalkHeld: ret = "BaseButton_PstnTalkHeld";break;
		case BaseButton_VoipTalkHeld: ret = "BaseButton_VoipTalkHeld";break;
		case BaseButton_SubscribeHeld: ret = "BaseButton_SubscribeHeld";break;
		case BaseButton_PstnTalkAndSubscribeHeld: ret = "BaseButton_PstnTalkAndSubscribeHeld";break;
		case BaseButton_PstnTalkAndVoipTalkHeld: ret = "BaseButton_PstnTalkAndVoipTalkHeld";break;
		case BaseButton_MakeCall: ret = "BaseButton_MakeCall";break;
		case BaseButton_MobileTalk: ret = "BaseButton_MobileTalk";break;
		case BaseButton_MobileTalkHeld: ret = "BaseButton_MobileTalkHeld";break;
		case BaseButton_PstnTalkAndMobileTalkHeld: ret = "BaseButton_PstnTalkAndMobileTalkHeld";break;
		case BaseButton_VoipTalkAndMobileTalkHeld: ret = "BaseButton_VoipTalkAndMobileTalkHeld";break;
		case BaseButton_DialPad: ret = "BaseButton_DialPad";break;
		case BaseButton_MakeCallFromCallLog: ret = "BaseButton_MakeCallFromCallLog";break;
	}
	return ret;
}
void PrintReturn(DeviceBaseButton val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceBaseStateChange val)
{
	std::string ret;
	switch( val )
	{
		case BaseStateChange_Unknown: ret = "BaseStateChange_Unknown";break;
		case BaseStateChange_PstnLinkEstablished: ret = "BaseStateChange_PstnLinkEstablished";break;
		case BaseStateChange_PstnLinkDown: ret = "BaseStateChange_PstnLinkDown";break;
		case BaseStateChange_VoipLinkEstablished: ret = "BaseStateChange_VoipLinkEstablished";break;
		case BaseStateChange_VoipLinkDown: ret = "BaseStateChange_VoipLinkDown";break;
		case BaseStateChange_AudioMixer: ret = "BaseStateChange_AudioMixer";break;
		case BaseStateChange_RFLinkWideBand: ret = "BaseStateChange_RFLinkWideBand";break;
		case BaseStateChange_RFLinkNarrowBand: ret = "BaseStateChange_RFLinkNarrowBand";break;
		case BaseStateChange_MobileLinkEstablished: ret = "BaseStateChange_MobileLinkEstablished";break;
		case BaseStateChange_MobileLinkDown: ret = "BaseStateChange_MobileLinkDown";break;
		case BaseStateChange_InterfaceStateChanged: ret = "BaseStateChange_InterfaceStateChanged";break;
		case BaseStateChange_AudioLocationChanged: ret = "BaseStateChange_AudioLocationChanged";break;
		case BaseStateChange_SerialNumber: ret = "BaseStateChange_SerialNumber";break;
	}
	return ret;
}
void PrintReturn(DeviceBaseStateChange val){ std::cout << "Returned: " << EnumToString(val); }
std::string EnumToString(DeviceATDStateChange val)
{
	std::string ret;
	switch( val )
	{
		case ATDStateChange_Unknown: ret = "ATDStateChange_Unknown";break;
		case ATDStateChange_MobileCallEnded: ret = "ATDStateChange_MobileCallEnded";break;
		case ATDStateChange_MobileInComing: ret = "ATDStateChange_MobileInComing";break;
		case ATDStateChange_MobileOutGoing: ret = "ATDStateChange_MobileOutGoing";break;
		case ATDStateChange_MobileOnCall: ret = "ATDStateChange_MobileOnCall";break;
		case ATDStateChange_PstnInComingCallRingOn: ret = "ATDStateChange_PstnInComingCallRingOn";break;
		case ATDStateChange_PstnInComingCallRingOff: ret = "ATDStateChange_PstnInComingCallRingOff";break;
		case ATDStateChange_DeskphoneHeadset: ret = "ATDStateChange_DeskphoneHeadset";break;
		case ATDStateChange_MobileCallerID: ret = "ATDStateChange_MobileCallerID";break;
	}
	return ret;
}
void PrintReturn(DeviceATDStateChange val){ std::cout << "Returned: " << EnumToString(val); }
void PrintReturn( BSTR val )				{ std::cout << "Returned: " <<  (val != nullptr ? std::string( _bstr_t(val )) : "none") << " "; }
void PrintReturn( ICOMBatteryInfoPtr batt ) 
{
	if( batt == nullptr ) return; 
	SHORT life;
	DeviceChargingStatus chargStat;
	DeviceBatteryStatus battStat;
	batt->get_BatteryStatus(&battStat);
	batt->get_ChargingStatus(&chargStat);
	batt->get_Lifetime(&life);
	std::cout << "Returned: " << "Life:" << life << " Battstatus: " << battStat << " Chargstatus: " << chargStat << " " ; 
}

std::string VariantToString(VARIANT var)
{
	if(var.vt == (VT_ARRAY | VT_UI1))
	{
		std::ostringstream ss;
		long arrStartIndex, arrEndIndex;
		if(SUCCEEDED ( SafeArrayGetLBound(var.parray, 1, &arrStartIndex) ) &&
		   SUCCEEDED ( SafeArrayGetUBound(var.parray, 1, &arrEndIndex) ) )
		{
			byte b;
			for (long currIndex = arrStartIndex; currIndex <= arrEndIndex; currIndex++)
			{
				SafeArrayGetElement(var.parray, &currIndex, &b);
				ss << std::setfill ('0') << std::setw(2) << std::hex << (int) b;
			}
			return ss.str();
		}
	}

	return "VARIANT";
}
void PrintReturn( VARIANT val )		{ std::cout << "Returned: " << VariantToString(val); } ; 

void PrintAudioMixerState(LONG val)
{
	std::cout << "DeviceMuteState(s):" << std::endl;
	if (0 == val )
		std::cout << EnumToString(MuteState_None) << std::endl;
	if (0 != (val & MuteState_HeadsetToPC))
		std::cout << EnumToString(MuteState_HeadsetToPC) << std::endl;
	if (0 != (val & MuteState_PCToHeadset))
		std::cout << EnumToString(MuteState_PCToHeadset) << std::endl;
	if (0 != (val & MuteState_HeadsetToPSTN))
		std::cout << EnumToString(MuteState_HeadsetToPSTN) << std::endl;
	if (0 != (val & MuteState_PSTNToHeadset))
		std::cout << EnumToString(MuteState_PSTNToHeadset) << std::endl;
	if (0 != (val & MuteState_PCToPSTN))
		std::cout << EnumToString(MuteState_PCToPSTN) << std::endl;
	if (0 != (val & MuteState_PSTNToPC))
		std::cout << EnumToString(MuteState_PSTNToPC) << std::endl;
}
